Deskhero Developer Hub
Back to deskhero.com
Imports

Get one

Returns one import with its settings and progress status. Unlike the list endpoint the retrieved message count is not calculated here, so it comes back empty.

GET /api/{tenant:minlength(2)}/v{version:apiVersion}/imports/{id}
Authorisation
Minimum role: USER

Request arguments

Name Type Source
idInt32
Request body example

Response

Status
200 (OK)
Type
DTO_import
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 403 (Forbidden)
Response body example
DTO_import
NameTypeReadOnlyDescription
created_byDTO_reference_userReadOnlyCreated by
last_updated_byDTO_reference_userReadOnlyLast updated by
groupDTO_referenceGroup
emailDTO_import_emailEmail
data_dumpDTO_import_data_dumpData dump
idInt32ReadOnlyLeave empty on input
friendly_nameStringFriendly name
createdDateTimeReadOnlyCreated
last_updatedDateTimeReadOnlyLast updated
typeENUM import_typeType
DTO_reference_user
NameTypeReadOnlyDescription
profile_picStringReadOnlyProfile pic
emailStringReadOnlyEmail
idInt32Id
labelObjectReadOnlyLabel
DTO_reference
NameTypeReadOnlyDescription
idInt32The id of the reference
labelObjectReadOnlyName/Label from referenced object.
DTO_import_email
NameTypeReadOnlyDescription
imapDTO_external_auth_imapImap
oauth2DTO_external_auth_oauth2Oauth2
mailboxStringLeave empty for current user
mailbox_folder_nameStringMailbox folder name
total_message_countInt32ReadOnlyTotal message count
retrieved_countInt32ReadOnlyRetrieved count
statusENUM import_email_statusReadOnlyStatus
DTO_external_auth_imap
NameTypeReadOnlyDescription
hostnameStringHostname
portInt32Port
usernameStringUsername
passwordStringPassword
DTO_external_auth_oauth2
NameTypeReadOnlyDescription
identifierStringIdentifier
authorized_accountStringReadOnlyAuthorized account
DTO_import_data_dump
NameTypeReadOnlyDescription
total_countInt32Total count
providerENUM import_data_dump_providerProvider
ENUM import_email_status
ValueNameDescription
0UNKNOWNUNKNOWN
1IN_PROGRESSIn progress
2DONEDone
3ERRORError
ENUM import_data_dump_provider
ValueNameDescription
0UNKNOWNUNKNOWN
1GROOVEHQGrooveHQ
2EXCEL_QAExcel Q&A
3EXCEL_QUESTIONNAIREExcel Questionnaire
4SUPPORT_BOX_EMLSupportBox EML
ENUM import_type
ValueNameDescription
0UNKNOWNUNKNOWN
1EMAILEmail
2DATA_DUMPData dump

Generated Aug 4, 2026 18:37